Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class ArrayDeserializer.ArrayListExtension

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.apache.axis.encoding.ser.ArrayDeserializer.ArrayListExtension

All Implemented Interfaces:
  Cloneable, Collection, JavaUtils.ConvertCache, List, RandomAccess, Serializable

Enclosing class:
  ArrayDeserializer

public class ArrayDeserializer.ArrayListExtension
extends ArrayList
implements JavaUtils.ConvertCache

During processing, the Array Deserializer stores the array in an ArrayListExtension class. This class contains all of the normal function of an ArrayList, plus it keeps a list of the converted array values. This class is essential to support arrays that are multi-referenced.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`Object` | `getConvertedValue(Class cls)` Get previously converted value
`Class` | `getDestClass()` Get the destination array class described by the xml
`void` | `setConvertedValue(Class cls, Object value)` Store converted value

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Method Detail

### setConvertedValue

    public void setConvertedValue(Class cls,
                                  Object value)

  Store converted value

  Specified by:
    `setConvertedValue` in interface `JavaUtils.ConvertCache`

### getConvertedValue

    public Object getConvertedValue(Class cls)

  Get previously converted value

  Specified by:
    `getConvertedValue` in interface `JavaUtils.ConvertCache`

### getDestClass

    public Class getDestClass()

  Get the destination array class described by the xml

  Specified by:
    `getDestClass` in interface `JavaUtils.ConvertCache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.